SUBROUTINE TRANSDIRHAD(CDCONF)

!**** *TRANSDIRHAD * - Direct transforms adjoint

!     Purpose.  Perform direct transform (gridpoint to spectral)
!     --------

!**   Interface.  CALL TRANSDIRHAD(CDCONF)
!     ---------- 

!     Explicit arguments : CDCONF - configuration of work
!     --------------------
!        Called by STEPOAD

!     Externals.
!     ----------
!     TRANSDIR_MDLAD - transforms for the model   

!     Reference.
!     ----------
!        ECMWF Research Department documentation of the IFS

!     Author.
!     -------
!        Mats Hamrud *ECMWF*

!     Modifications.
!     --------------
!        Original : 00-10-25
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        M.Hamrud      01-Dec-2003 CY28R1 Cleaning

!     ------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE
CHARACTER(LEN=9),INTENT(IN)  :: CDCONF
REAL(KIND=JPRB) :: ZHOOK_HANDLE

#include "transdir_mdlad.intfb.h"
!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('TRANSDIRHAD',0,ZHOOK_HANDLE)
CALL TRANSDIR_MDLAD(CDCONF(8:8))
IF (LHOOK) CALL DR_HOOK('TRANSDIRHAD',1,ZHOOK_HANDLE)

!     ------------------------------------------------------------------

END SUBROUTINE TRANSDIRHAD
